# Build the HTML documentation for Persephone using Documenter.jl
# https://documenter.juliadocs.org/stable/

push!(LOAD_PATH, "../src/")

using Documenter, Persephone

makedocs(sitename="Persephone",
         modules = [Persephone],
         repo = "https://git.idiv.de/xo30xoqa/persephone/-/blob/master/{path}#{line}",
         format = Documenter.HTML(prettyurls = false),
         pages = ["index.md",
                  "odd.md",
                  "Developing" => [
                      "developing.md",
                      "adapting.md",
                      "architecture.md",
                      "gis.md",
                      "species-dsl.md"],
                  "Core" => [
                      "simulation.md",
                      "io.md"],
                  "Nature" => [
                      "nature.md",
                      "species.md"],
                  "crops.md",
                  "farm.md"
                  ])
